#region Copyright Syncfusion Inc. 2001 - 2006
//
//  Copyright Syncfusion Inc. 2001 - 2006. All rights reserved.
//
//  Use of this code is subject to the terms of our license.
//  A copy of the current license can be obtained at any time by e-mailing
//  licensing@syncfusion.com. Re-distribution in any form is strictly
//  prohibited. Any infringement will be prosecuted under applicable laws. 
//
#endregion

using System;

namespace Syncfusion.Windows.Forms
{
	/// <summary>
	/// Specifies the look of the arrow buttons should be drawn.
	/// </summary>
	public enum ButtonLook
	{
		/// <summary>
		/// Draw normal buttons.
		/// </summary>
		Normal,

		/// <summary>
		/// Draw flat buttons.
		/// </summary>
		Flat,
	}
	
}
