#region Copyright Syncfusion Inc. 2001 - 2006
//
//  Copyright Syncfusion Inc. 2001 - 2006. All rights reserved.
//
//  Use of this code is subject to the terms of our license.
//  A copy of the current license can be obtained at any time by e-mailing
//  licensing@syncfusion.com. Re-distribution in any form is strictly
//  prohibited. Any infringement will be prosecuted under applicable laws. 
//
#endregion


namespace Syncfusion.Styles
{
	/// <summary>
	/// Handles the <see cref="StyleInfoBase.Changed"/> event.
	/// </summary>
	/// <param name="sender">The source of the event.</param>
	/// <param name="e">A <see cref="StyleChangedEventArgs"/> that contains the event data.</param>
	public delegate void StyleChangedEventHandler(object sender, StyleChangedEventArgs e);
}
