Imports Microsoft.VisualBasic
Imports System
Imports System.Globalization
Imports System.Drawing
Imports System.Collections
Imports System.ComponentModel
Imports System.Windows.Forms
Imports System.Data
Imports Syncfusion.Windows.Forms.Grid

Namespace CrossSheetReference
	''' <summary>
	''' Summary description for Form1.
	''' </summary>
	Public Class Form1
		Inherits Syncfusion.Windows.Forms.MetroForm
		Private tabBarSplitterControl1 As Syncfusion.Windows.Forms.TabBarSplitterControl
		Private tabBarPage1 As Syncfusion.Windows.Forms.TabBarPage
		Private tabBarPage2 As Syncfusion.Windows.Forms.TabBarPage
		Private gridDisplay As Syncfusion.Windows.Forms.Grid.GridControl
		Private gridCalculations As Syncfusion.Windows.Forms.Grid.GridControl
		Private gridAwareTextBox1 As GridAwareTextBox
		Private WithEvents showFormula As Syncfusion.Windows.Forms.Tools.CheckBoxAdv
		Private label1 As System.Windows.Forms.Label
		''' <summary>
		''' Required designer variable.
		''' </summary>
		Private components As System.ComponentModel.Container = Nothing

		Public Sub New()
			'
			' Required for Windows Form Designer support
			'
			InitializeComponent()
			gridDisplay.ThemesEnabled = True
			gridCalculations.ThemesEnabled=True
			gridCalculations.GridVisualStyles = Syncfusion.Windows.Forms.GridVisualStyles.Metro
			gridDisplay.GridVisualStyles = Syncfusion.Windows.Forms.GridVisualStyles.Metro
			gridCalculations.Properties.GridLineColor = Color.FromArgb(208, 215, 229)
			Me.gridDisplay.BorderStyle=BorderStyle.FixedSingle
			Me.gridCalculations.BorderStyle=BorderStyle.FixedSingle
			Dim style As GridStyleInfo = gridDisplay.BaseStylesMap("Standard").StyleInfo
			style.TextColor = Color.MidnightBlue
			style = gridCalculations.BaseStylesMap("Standard").StyleInfo
			style.TextColor = Color.MidnightBlue
			'Settings to give Excel like Flat Look to the grid
			Me.gridDisplay.Model.Options.DefaultGridBorderStyle = GridBorderStyle.Solid
			Me.gridCalculations.Model.Options.DefaultGridBorderStyle = GridBorderStyle.Solid
			Try
				Dim ico As New System.Drawing.Icon(GetIconFile("common\Images\Grid\Icon\sfgrid.ico"))
				Me.Icon = ico
			Catch
			End Try
		End Sub

		Private Function GetIconFile(ByVal bitmapName As String) As String
			For n As Integer = 0 To 9
				If System.IO.File.Exists(bitmapName) Then
					Return bitmapName
				End If

				bitmapName = "..\" & bitmapName
			Next n

			Return bitmapName
		End Function

		''' <summary>
		''' Clean up any resources being used.
		''' </summary>
		Protected Overrides Overloads Sub Dispose(ByVal disposing As Boolean)
			If disposing Then
				If components IsNot Nothing Then
					components.Dispose()
				End If
			End If
			MyBase.Dispose(disposing)
		End Sub

		#Region "Windows Form Designer generated code"
		''' <summary>
		''' Required method for Designer support - do not modify
		''' the contents of this method with the code editor.
		''' </summary>
		Private Sub InitializeComponent()
            Dim GridRangeStyle1 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle2 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle3 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle4 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle5 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle6 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle7 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle8 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle9 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle10 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle11 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle12 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle13 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle14 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle15 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle16 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle17 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle18 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle19 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle20 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle21 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle22 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle23 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle24 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle25 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle26 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle27 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle28 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle29 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle30 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle31 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle32 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle33 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle34 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle35 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle36 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle37 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle38 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle39 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle40 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle41 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle42 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle43 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle44 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle45 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle46 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle47 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle48 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle49 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle50 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle51 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle52 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle53 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle54 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle55 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle56 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle57 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle58 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle59 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle60 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle61 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle62 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle63 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridRangeStyle64 As Syncfusion.Windows.Forms.Grid.GridRangeStyle = New Syncfusion.Windows.Forms.Grid.GridRangeStyle
            Dim GridCellInfo1 As Syncfusion.Windows.Forms.Grid.GridCellInfo = New Syncfusion.Windows.Forms.Grid.GridCellInfo
            Dim GridCellInfo2 As Syncfusion.Windows.Forms.Grid.GridCellInfo = New Syncfusion.Windows.Forms.Grid.GridCellInfo
            Dim GridCellInfo3 As Syncfusion.Windows.Forms.Grid.GridCellInfo = New Syncfusion.Windows.Forms.Grid.GridCellInfo
            Dim GridCellInfo4 As Syncfusion.Windows.Forms.Grid.GridCellInfo = New Syncfusion.Windows.Forms.Grid.GridCellInfo
            Dim GridCellInfo5 As Syncfusion.Windows.Forms.Grid.GridCellInfo = New Syncfusion.Windows.Forms.Grid.GridCellInfo
            Dim GridCellInfo6 As Syncfusion.Windows.Forms.Grid.GridCellInfo = New Syncfusion.Windows.Forms.Grid.GridCellInfo
            Dim GridCellInfo7 As Syncfusion.Windows.Forms.Grid.GridCellInfo = New Syncfusion.Windows.Forms.Grid.GridCellInfo
            Dim GridCellInfo8 As Syncfusion.Windows.Forms.Grid.GridCellInfo = New Syncfusion.Windows.Forms.Grid.GridCellInfo
            Dim GridCellInfo9 As Syncfusion.Windows.Forms.Grid.GridCellInfo = New Syncfusion.Windows.Forms.Grid.GridCellInfo
            Dim GridCellInfo10 As Syncfusion.Windows.Forms.Grid.GridCellInfo = New Syncfusion.Windows.Forms.Grid.GridCellInfo
            Dim GridCellInfo11 As Syncfusion.Windows.Forms.Grid.GridCellInfo = New Syncfusion.Windows.Forms.Grid.GridCellInfo
            Dim GridCellInfo12 As Syncfusion.Windows.Forms.Grid.GridCellInfo = New Syncfusion.Windows.Forms.Grid.GridCellInfo
            Dim GridCellInfo13 As Syncfusion.Windows.Forms.Grid.GridCellInfo = New Syncfusion.Windows.Forms.Grid.GridCellInfo
            Dim GridCellInfo14 As Syncfusion.Windows.Forms.Grid.GridCellInfo = New Syncfusion.Windows.Forms.Grid.GridCellInfo
            Dim GridCellInfo15 As Syncfusion.Windows.Forms.Grid.GridCellInfo = New Syncfusion.Windows.Forms.Grid.GridCellInfo
            Dim GridCellInfo16 As Syncfusion.Windows.Forms.Grid.GridCellInfo = New Syncfusion.Windows.Forms.Grid.GridCellInfo
            Dim GridCellInfo17 As Syncfusion.Windows.Forms.Grid.GridCellInfo = New Syncfusion.Windows.Forms.Grid.GridCellInfo
            Dim GridCellInfo18 As Syncfusion.Windows.Forms.Grid.GridCellInfo = New Syncfusion.Windows.Forms.Grid.GridCellInfo
            Dim GridCellInfo19 As Syncfusion.Windows.Forms.Grid.GridCellInfo = New Syncfusion.Windows.Forms.Grid.GridCellInfo
            Dim GridCellInfo20 As Syncfusion.Windows.Forms.Grid.GridCellInfo = New Syncfusion.Windows.Forms.Grid.GridCellInfo
            Dim GridCellInfo21 As Syncfusion.Windows.Forms.Grid.GridCellInfo = New Syncfusion.Windows.Forms.Grid.GridCellInfo
            Dim GridCellInfo22 As Syncfusion.Windows.Forms.Grid.GridCellInfo = New Syncfusion.Windows.Forms.Grid.GridCellInfo
            Dim GridCellInfo23 As Syncfusion.Windows.Forms.Grid.GridCellInfo = New Syncfusion.Windows.Forms.Grid.GridCellInfo
            Dim GridCellInfo24 As Syncfusion.Windows.Forms.Grid.GridCellInfo = New Syncfusion.Windows.Forms.Grid.GridCellInfo
            Dim GridCellInfo25 As Syncfusion.Windows.Forms.Grid.GridCellInfo = New Syncfusion.Windows.Forms.Grid.GridCellInfo
            Dim GridCellInfo26 As Syncfusion.Windows.Forms.Grid.GridCellInfo = New Syncfusion.Windows.Forms.Grid.GridCellInfo
            Dim GridCellInfo27 As Syncfusion.Windows.Forms.Grid.GridCellInfo = New Syncfusion.Windows.Forms.Grid.GridCellInfo
            Dim GridCellInfo28 As Syncfusion.Windows.Forms.Grid.GridCellInfo = New Syncfusion.Windows.Forms.Grid.GridCellInfo
            Dim GridCellInfo29 As Syncfusion.Windows.Forms.Grid.GridCellInfo = New Syncfusion.Windows.Forms.Grid.GridCellInfo
            Dim GridCellInfo30 As Syncfusion.Windows.Forms.Grid.GridCellInfo = New Syncfusion.Windows.Forms.Grid.GridCellInfo
            Dim GridCellInfo31 As Syncfusion.Windows.Forms.Grid.GridCellInfo = New Syncfusion.Windows.Forms.Grid.GridCellInfo
            Dim GridCellInfo32 As Syncfusion.Windows.Forms.Grid.GridCellInfo = New Syncfusion.Windows.Forms.Grid.GridCellInfo
            Dim GridCellInfo33 As Syncfusion.Windows.Forms.Grid.GridCellInfo = New Syncfusion.Windows.Forms.Grid.GridCellInfo
            Dim GridCellInfo34 As Syncfusion.Windows.Forms.Grid.GridCellInfo = New Syncfusion.Windows.Forms.Grid.GridCellInfo
            Dim GridCellInfo35 As Syncfusion.Windows.Forms.Grid.GridCellInfo = New Syncfusion.Windows.Forms.Grid.GridCellInfo
            Dim GridCellInfo36 As Syncfusion.Windows.Forms.Grid.GridCellInfo = New Syncfusion.Windows.Forms.Grid.GridCellInfo
            Dim GridCellInfo37 As Syncfusion.Windows.Forms.Grid.GridCellInfo = New Syncfusion.Windows.Forms.Grid.GridCellInfo
            Dim GridCellInfo38 As Syncfusion.Windows.Forms.Grid.GridCellInfo = New Syncfusion.Windows.Forms.Grid.GridCellInfo
            Dim GridCellInfo39 As Syncfusion.Windows.Forms.Grid.GridCellInfo = New Syncfusion.Windows.Forms.Grid.GridCellInfo
            Dim GridCellInfo40 As Syncfusion.Windows.Forms.Grid.GridCellInfo = New Syncfusion.Windows.Forms.Grid.GridCellInfo
            Dim GridCellInfo41 As Syncfusion.Windows.Forms.Grid.GridCellInfo = New Syncfusion.Windows.Forms.Grid.GridCellInfo
            Dim GridCellInfo42 As Syncfusion.Windows.Forms.Grid.GridCellInfo = New Syncfusion.Windows.Forms.Grid.GridCellInfo
            Me.tabBarSplitterControl1 = New Syncfusion.Windows.Forms.TabBarSplitterControl
            Me.tabBarPage1 = New Syncfusion.Windows.Forms.TabBarPage
            Me.gridDisplay = New Syncfusion.Windows.Forms.Grid.GridControl
            Me.tabBarPage2 = New Syncfusion.Windows.Forms.TabBarPage
            Me.gridCalculations = New Syncfusion.Windows.Forms.Grid.GridControl
            Me.gridAwareTextBox1 = New Syncfusion.Windows.Forms.Grid.GridAwareTextBox
            Me.showFormula = New Syncfusion.Windows.Forms.Tools.CheckBoxAdv
            Me.label1 = New System.Windows.Forms.Label
            Me.tabBarSplitterControl1.SuspendLayout()
            Me.tabBarPage1.SuspendLayout()
            CType(Me.gridDisplay, System.ComponentModel.ISupportInitialize).BeginInit()
            Me.tabBarPage2.SuspendLayout()
            CType(Me.gridCalculations, System.ComponentModel.ISupportInitialize).BeginInit()
            CType(Me.showFormula, System.ComponentModel.ISupportInitialize).BeginInit()
            Me.SuspendLayout()
            '
            'tabBarSplitterControl1
            '
            Me.tabBarSplitterControl1.ActivePageIndex = 1
            Me.tabBarSplitterControl1.BackColor = System.Drawing.Color.White
            Me.tabBarSplitterControl1.BorderStyle = System.Windows.Forms.BorderStyle.None
            Me.tabBarSplitterControl1.Controls.Add(Me.tabBarPage1)
            Me.tabBarSplitterControl1.Controls.Add(Me.tabBarPage2)
            Me.tabBarSplitterControl1.EnabledColor = System.Drawing.SystemColors.WindowText
            Me.tabBarSplitterControl1.Location = New System.Drawing.Point(12, 48)
            Me.tabBarSplitterControl1.Name = "tabBarSplitterControl1"
            Me.tabBarSplitterControl1.Size = New System.Drawing.Size(728, 384)
            Me.tabBarSplitterControl1.SplitBars = CType((Syncfusion.Windows.Forms.DynamicSplitBars.SplitRows Or Syncfusion.Windows.Forms.DynamicSplitBars.SplitColumns), Syncfusion.Windows.Forms.DynamicSplitBars)
            Me.tabBarSplitterControl1.Style = Syncfusion.Windows.Forms.TabBarSplitterStyle.Metro
            Me.tabBarSplitterControl1.TabFolderDelta = 11
            Me.tabBarSplitterControl1.TabIndex = 0
            Me.tabBarSplitterControl1.Text = "tabBarSplitterControl1"
            Me.tabBarSplitterControl1.ThemesEnabled = True
            '
            'tabBarPage1
            '
            Me.tabBarPage1.Controls.Add(Me.gridDisplay)
            Me.tabBarPage1.Location = New System.Drawing.Point(0, 0)
            Me.tabBarPage1.Name = "tabBarPage1"
            Me.tabBarPage1.SplitBars = CType((Syncfusion.Windows.Forms.DynamicSplitBars.SplitRows Or Syncfusion.Windows.Forms.DynamicSplitBars.SplitColumns), Syncfusion.Windows.Forms.DynamicSplitBars)
            Me.tabBarPage1.TabBackColor = System.Drawing.SystemColors.Control
            Me.tabBarPage1.Text = "Display"
            Me.tabBarPage1.ThemesEnabled = True
            '
            'gridDisplay
            '
            Me.gridDisplay.AllowSelection = CType(((((Syncfusion.Windows.Forms.Grid.GridSelectionFlags.Table Or Syncfusion.Windows.Forms.Grid.GridSelectionFlags.Cell) _
                        Or Syncfusion.Windows.Forms.Grid.GridSelectionFlags.Shift) _
                        Or Syncfusion.Windows.Forms.Grid.GridSelectionFlags.Keyboard) _
                        Or Syncfusion.Windows.Forms.Grid.GridSelectionFlags.AlphaBlend), Syncfusion.Windows.Forms.Grid.GridSelectionFlags)
            Me.gridDisplay.BackColor = System.Drawing.Color.White
            Me.gridDisplay.ColWidthEntries.AddRange(New Syncfusion.Windows.Forms.Grid.GridColWidth() {New Syncfusion.Windows.Forms.Grid.GridColWidth(0, 35), New Syncfusion.Windows.Forms.Grid.GridColWidth(1, 199), New Syncfusion.Windows.Forms.Grid.GridColWidth(2, 82), New Syncfusion.Windows.Forms.Grid.GridColWidth(3, 135)})
            Me.gridDisplay.CoveredRanges.AddRange(New Syncfusion.Windows.Forms.Grid.GridRangeInfo() {Syncfusion.Windows.Forms.Grid.GridRangeInfo.Cells(3, 1, 3, 4)})
            Me.gridDisplay.DefaultColWidth = 70
            Me.gridDisplay.DefaultGridBorderStyle = Syncfusion.Windows.Forms.Grid.GridBorderStyle.Solid
            Me.gridDisplay.DefaultRowHeight = 18
            Me.gridDisplay.FillSplitterPane = True
            Me.gridDisplay.FloatCellsMode = Syncfusion.Windows.Forms.Grid.GridFloatCellsMode.OnDemandCalculation
            Me.gridDisplay.Font = New System.Drawing.Font("Arial", 9.75!)
            Me.gridDisplay.ForeColor = System.Drawing.Color.MidnightBlue
            Me.gridDisplay.GridOfficeScrollBars = Syncfusion.Windows.Forms.OfficeScrollBars.Metro
            Me.gridDisplay.GridVisualStyles = Syncfusion.Windows.Forms.GridVisualStyles.Metro
            Me.gridDisplay.Location = New System.Drawing.Point(0, 0)
            Me.gridDisplay.Name = "gridDisplay"
            Me.gridDisplay.Properties.GridLineColor = System.Drawing.Color.LightGray
            Me.gridDisplay.Properties.MarkColHeader = False
            Me.gridDisplay.Properties.MarkRowHeader = False
            GridRangeStyle1.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Table
            GridRangeStyle1.StyleInfo.Font.Bold = False
            GridRangeStyle1.StyleInfo.Font.Facename = "Arial"
            GridRangeStyle1.StyleInfo.Font.Italic = False
            GridRangeStyle1.StyleInfo.Font.Size = 9.75!
            GridRangeStyle1.StyleInfo.Font.Strikeout = False
            GridRangeStyle1.StyleInfo.Font.Underline = False
            GridRangeStyle1.StyleInfo.Font.Unit = System.Drawing.GraphicsUnit.Point
            GridRangeStyle2.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Table
            GridRangeStyle2.StyleInfo.Font.Bold = False
            GridRangeStyle2.StyleInfo.Font.Facename = "Arial"
            GridRangeStyle2.StyleInfo.Font.Italic = False
            GridRangeStyle2.StyleInfo.Font.Size = 9.75!
            GridRangeStyle2.StyleInfo.Font.Strikeout = False
            GridRangeStyle2.StyleInfo.Font.Underline = False
            GridRangeStyle2.StyleInfo.Font.Unit = System.Drawing.GraphicsUnit.Point
            GridRangeStyle3.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Table
            GridRangeStyle3.StyleInfo.Font.Bold = False
            GridRangeStyle3.StyleInfo.Font.Facename = "Arial"
            GridRangeStyle3.StyleInfo.Font.Italic = False
            GridRangeStyle3.StyleInfo.Font.Size = 9.75!
            GridRangeStyle3.StyleInfo.Font.Strikeout = False
            GridRangeStyle3.StyleInfo.Font.Underline = False
            GridRangeStyle3.StyleInfo.Font.Unit = System.Drawing.GraphicsUnit.Point
            GridRangeStyle4.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Table
            GridRangeStyle4.StyleInfo.Font.Bold = False
            GridRangeStyle4.StyleInfo.Font.Facename = "Arial"
            GridRangeStyle4.StyleInfo.Font.Italic = False
            GridRangeStyle4.StyleInfo.Font.Size = 9.75!
            GridRangeStyle4.StyleInfo.Font.Strikeout = False
            GridRangeStyle4.StyleInfo.Font.Underline = False
            GridRangeStyle4.StyleInfo.Font.Unit = System.Drawing.GraphicsUnit.Point
            GridRangeStyle5.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Table
            GridRangeStyle5.StyleInfo.Font.Bold = False
            GridRangeStyle5.StyleInfo.Font.Facename = "Arial"
            GridRangeStyle5.StyleInfo.Font.Italic = False
            GridRangeStyle5.StyleInfo.Font.Size = 9.75!
            GridRangeStyle5.StyleInfo.Font.Strikeout = False
            GridRangeStyle5.StyleInfo.Font.Underline = False
            GridRangeStyle5.StyleInfo.Font.Unit = System.Drawing.GraphicsUnit.Point
            GridRangeStyle6.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Table
            GridRangeStyle6.StyleInfo.Font.Bold = False
            GridRangeStyle6.StyleInfo.Font.Facename = "Arial"
            GridRangeStyle6.StyleInfo.Font.Italic = False
            GridRangeStyle6.StyleInfo.Font.Size = 9.75!
            GridRangeStyle6.StyleInfo.Font.Strikeout = False
            GridRangeStyle6.StyleInfo.Font.Underline = False
            GridRangeStyle6.StyleInfo.Font.Unit = System.Drawing.GraphicsUnit.Point
            GridRangeStyle7.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Table
            GridRangeStyle7.StyleInfo.Font.Bold = False
            GridRangeStyle7.StyleInfo.Font.Facename = "Arial"
            GridRangeStyle7.StyleInfo.Font.Italic = False
            GridRangeStyle7.StyleInfo.Font.Size = 9.75!
            GridRangeStyle7.StyleInfo.Font.Strikeout = False
            GridRangeStyle7.StyleInfo.Font.Underline = False
            GridRangeStyle7.StyleInfo.Font.Unit = System.Drawing.GraphicsUnit.Point
            GridRangeStyle8.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Table
            GridRangeStyle8.StyleInfo.Font.Bold = False
            GridRangeStyle8.StyleInfo.Font.Facename = "Verdana"
            GridRangeStyle8.StyleInfo.Font.Italic = False
            GridRangeStyle8.StyleInfo.Font.Size = 9.75!
            GridRangeStyle8.StyleInfo.Font.Strikeout = False
            GridRangeStyle8.StyleInfo.Font.Underline = False
            GridRangeStyle8.StyleInfo.Font.Unit = System.Drawing.GraphicsUnit.Point
            GridRangeStyle9.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Table
            GridRangeStyle9.StyleInfo.Font.Bold = False
            GridRangeStyle9.StyleInfo.Font.Facename = "Arial"
            GridRangeStyle9.StyleInfo.Font.Italic = False
            GridRangeStyle9.StyleInfo.Font.Size = 9.75!
            GridRangeStyle9.StyleInfo.Font.Strikeout = False
            GridRangeStyle9.StyleInfo.Font.Underline = False
            GridRangeStyle9.StyleInfo.Font.Unit = System.Drawing.GraphicsUnit.Point
            GridRangeStyle10.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Table
            GridRangeStyle10.StyleInfo.Font.Bold = False
            GridRangeStyle10.StyleInfo.Font.Facename = "Arial"
            GridRangeStyle10.StyleInfo.Font.Italic = False
            GridRangeStyle10.StyleInfo.Font.Size = 9.75!
            GridRangeStyle10.StyleInfo.Font.Strikeout = False
            GridRangeStyle10.StyleInfo.Font.Underline = False
            GridRangeStyle10.StyleInfo.Font.Unit = System.Drawing.GraphicsUnit.Point
            GridRangeStyle11.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Col(1)
            GridRangeStyle11.StyleInfo.HorizontalAlignment = Syncfusion.Windows.Forms.Grid.GridHorizontalAlignment.Right
            GridRangeStyle11.StyleInfo.Text = ""
            GridRangeStyle12.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Col(2)
            GridRangeStyle12.StyleInfo.Font.Bold = True
            GridRangeStyle13.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Col(3)
            GridRangeStyle13.StyleInfo.HorizontalAlignment = Syncfusion.Windows.Forms.Grid.GridHorizontalAlignment.Right
            GridRangeStyle14.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Col(4)
            GridRangeStyle14.StyleInfo.Font.Bold = True
            GridRangeStyle15.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Cell(3, 1)
            GridRangeStyle15.StyleInfo.Font.Bold = True
            GridRangeStyle15.StyleInfo.HorizontalAlignment = Syncfusion.Windows.Forms.Grid.GridHorizontalAlignment.Center
            GridRangeStyle15.StyleInfo.Text = "Payroll"
            GridRangeStyle15.StyleInfo.TextColor = System.Drawing.Color.DodgerBlue
            GridRangeStyle16.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Cell(3, 2)
            GridRangeStyle16.StyleInfo.Font.Bold = True
            GridRangeStyle16.StyleInfo.HorizontalAlignment = Syncfusion.Windows.Forms.Grid.GridHorizontalAlignment.Center
            GridRangeStyle16.StyleInfo.Text = ""
            GridRangeStyle16.StyleInfo.TextColor = System.Drawing.Color.DodgerBlue
            GridRangeStyle17.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Cells(3, 3, 3, 4)
            GridRangeStyle17.StyleInfo.TextColor = System.Drawing.Color.DodgerBlue
            GridRangeStyle18.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Cell(4, 0)
            GridRangeStyle18.StyleInfo.Text = "4"
            GridRangeStyle19.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Cells(4, 1, 4, 4)
            GridRangeStyle19.StyleInfo.Borders.Top = New Syncfusion.Windows.Forms.Grid.GridBorder(Syncfusion.Windows.Forms.Grid.GridBorderStyle.Standard, System.Drawing.SystemColors.WindowFrame)
            GridRangeStyle20.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Cell(5, 0)
            GridRangeStyle20.StyleInfo.Text = "5"
            GridRangeStyle21.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Cells(5, 1, 5, 2)
            GridRangeStyle21.StyleInfo.Borders.Top = New Syncfusion.Windows.Forms.Grid.GridBorder(Syncfusion.Windows.Forms.Grid.GridBorderStyle.Standard, System.Drawing.SystemColors.WindowFrame)
            GridRangeStyle21.StyleInfo.Text = ""
            GridRangeStyle22.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Cells(5, 3, 5, 4)
            GridRangeStyle22.StyleInfo.Borders.Top = New Syncfusion.Windows.Forms.Grid.GridBorder(Syncfusion.Windows.Forms.Grid.GridBorderStyle.Standard, System.Drawing.SystemColors.WindowFrame)
            GridRangeStyle23.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Cell(6, 0)
            GridRangeStyle23.StyleInfo.Text = "6"
            GridRangeStyle24.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Cell(6, 1)
            GridRangeStyle24.StyleInfo.Borders.Top = New Syncfusion.Windows.Forms.Grid.GridBorder(Syncfusion.Windows.Forms.Grid.GridBorderStyle.Standard, System.Drawing.SystemColors.WindowFrame)
            GridRangeStyle24.StyleInfo.Text = "Name:"
            GridRangeStyle25.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Cells(6, 2, 9, 2)
            GridRangeStyle25.StyleInfo.Borders.Top = New Syncfusion.Windows.Forms.Grid.GridBorder(Syncfusion.Windows.Forms.Grid.GridBorderStyle.Standard, System.Drawing.SystemColors.WindowFrame)
            GridRangeStyle25.StyleInfo.Text = ""
            GridRangeStyle26.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Cell(6, 3)
            GridRangeStyle26.StyleInfo.Borders.Top = New Syncfusion.Windows.Forms.Grid.GridBorder(Syncfusion.Windows.Forms.Grid.GridBorderStyle.Standard, System.Drawing.SystemColors.WindowFrame)
            GridRangeStyle26.StyleInfo.Text = "DA:"
            GridRangeStyle27.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Cells(6, 4, 20, 4)
            GridRangeStyle27.StyleInfo.Borders.Top = New Syncfusion.Windows.Forms.Grid.GridBorder(Syncfusion.Windows.Forms.Grid.GridBorderStyle.Standard, System.Drawing.SystemColors.WindowFrame)
            GridRangeStyle28.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Cell(7, 0)
            GridRangeStyle28.StyleInfo.Text = "7"
            GridRangeStyle29.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Cell(7, 1)
            GridRangeStyle29.StyleInfo.Borders.Top = New Syncfusion.Windows.Forms.Grid.GridBorder(Syncfusion.Windows.Forms.Grid.GridBorderStyle.Standard, System.Drawing.SystemColors.WindowFrame)
            GridRangeStyle29.StyleInfo.Text = "Qualification:"
            GridRangeStyle30.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Cell(7, 3)
            GridRangeStyle30.StyleInfo.Borders.Top = New Syncfusion.Windows.Forms.Grid.GridBorder(Syncfusion.Windows.Forms.Grid.GridBorderStyle.Standard, System.Drawing.SystemColors.WindowFrame)
            GridRangeStyle30.StyleInfo.Text = "Gross Pay:"
            GridRangeStyle31.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Cell(8, 0)
            GridRangeStyle31.StyleInfo.Text = "8"
            GridRangeStyle32.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Cell(8, 1)
            GridRangeStyle32.StyleInfo.Borders.Top = New Syncfusion.Windows.Forms.Grid.GridBorder(Syncfusion.Windows.Forms.Grid.GridBorderStyle.Standard, System.Drawing.SystemColors.WindowFrame)
            GridRangeStyle32.StyleInfo.Text = "Experience:"
            GridRangeStyle33.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Cell(8, 3)
            GridRangeStyle33.StyleInfo.Borders.Top = New Syncfusion.Windows.Forms.Grid.GridBorder(Syncfusion.Windows.Forms.Grid.GridBorderStyle.Standard, System.Drawing.SystemColors.WindowFrame)
            GridRangeStyle33.StyleInfo.Text = "PF:"
            GridRangeStyle34.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Cell(9, 0)
            GridRangeStyle34.StyleInfo.Text = "9"
            GridRangeStyle35.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Cell(9, 1)
            GridRangeStyle35.StyleInfo.Borders.Top = New Syncfusion.Windows.Forms.Grid.GridBorder(Syncfusion.Windows.Forms.Grid.GridBorderStyle.Standard, System.Drawing.SystemColors.WindowFrame)
            GridRangeStyle35.StyleInfo.Text = "Basic Pay:"
            GridRangeStyle36.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Cell(9, 3)
            GridRangeStyle36.StyleInfo.Borders.Top = New Syncfusion.Windows.Forms.Grid.GridBorder(Syncfusion.Windows.Forms.Grid.GridBorderStyle.Standard, System.Drawing.SystemColors.WindowFrame)
            GridRangeStyle36.StyleInfo.Text = "Net Pay:"
            GridRangeStyle37.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Cell(10, 0)
            GridRangeStyle37.StyleInfo.Text = "10"
            GridRangeStyle38.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Cells(10, 1, 10, 2)
            GridRangeStyle38.StyleInfo.Borders.Top = New Syncfusion.Windows.Forms.Grid.GridBorder(Syncfusion.Windows.Forms.Grid.GridBorderStyle.Standard, System.Drawing.SystemColors.WindowFrame)
            GridRangeStyle39.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Cell(10, 3)
            GridRangeStyle39.StyleInfo.Borders.Top = New Syncfusion.Windows.Forms.Grid.GridBorder(Syncfusion.Windows.Forms.Grid.GridBorderStyle.Standard, System.Drawing.SystemColors.WindowFrame)
            GridRangeStyle39.StyleInfo.Text = "Annual Income:"
            GridRangeStyle40.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Cell(11, 0)
            GridRangeStyle40.StyleInfo.Text = "11"
            GridRangeStyle41.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Cell(11, 1)
            GridRangeStyle41.StyleInfo.Borders.Top = New Syncfusion.Windows.Forms.Grid.GridBorder(Syncfusion.Windows.Forms.Grid.GridBorderStyle.Standard, System.Drawing.SystemColors.WindowFrame)
            GridRangeStyle41.StyleInfo.Font.Underline = True
            GridRangeStyle41.StyleInfo.Text = "LIC Policy Details"
            GridRangeStyle42.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Cells(11, 2, 11, 4)
            GridRangeStyle42.StyleInfo.Borders.Top = New Syncfusion.Windows.Forms.Grid.GridBorder(Syncfusion.Windows.Forms.Grid.GridBorderStyle.Standard, System.Drawing.SystemColors.WindowFrame)
            GridRangeStyle43.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Cell(12, 0)
            GridRangeStyle43.StyleInfo.Text = "12"
            GridRangeStyle44.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Cell(12, 1)
            GridRangeStyle44.StyleInfo.Borders.Top = New Syncfusion.Windows.Forms.Grid.GridBorder(Syncfusion.Windows.Forms.Grid.GridBorderStyle.Standard, System.Drawing.SystemColors.WindowFrame)
            GridRangeStyle44.StyleInfo.Text = "Policy No:"
            GridRangeStyle45.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Cells(12, 2, 14, 2)
            GridRangeStyle45.StyleInfo.Borders.Top = New Syncfusion.Windows.Forms.Grid.GridBorder(Syncfusion.Windows.Forms.Grid.GridBorderStyle.Standard, System.Drawing.SystemColors.WindowFrame)
            GridRangeStyle45.StyleInfo.Text = ""
            GridRangeStyle46.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Cells(12, 3, 20, 4)
            GridRangeStyle46.StyleInfo.Borders.Top = New Syncfusion.Windows.Forms.Grid.GridBorder(Syncfusion.Windows.Forms.Grid.GridBorderStyle.Standard, System.Drawing.SystemColors.WindowFrame)
            GridRangeStyle47.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Cell(13, 0)
            GridRangeStyle47.StyleInfo.Text = "13"
            GridRangeStyle48.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Cell(13, 1)
            GridRangeStyle48.StyleInfo.Borders.Top = New Syncfusion.Windows.Forms.Grid.GridBorder(Syncfusion.Windows.Forms.Grid.GridBorderStyle.Standard, System.Drawing.SystemColors.WindowFrame)
            GridRangeStyle48.StyleInfo.Text = "Policy Type:"
            GridRangeStyle49.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Cell(14, 0)
            GridRangeStyle49.StyleInfo.Text = "14"
            GridRangeStyle50.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Cell(14, 1)
            GridRangeStyle50.StyleInfo.Borders.Top = New Syncfusion.Windows.Forms.Grid.GridBorder(Syncfusion.Windows.Forms.Grid.GridBorderStyle.Standard, System.Drawing.SystemColors.WindowFrame)
            GridRangeStyle50.StyleInfo.Text = "Premium:"
            GridRangeStyle51.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Cell(15, 0)
            GridRangeStyle51.StyleInfo.Text = "15"
            GridRangeStyle52.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Cells(15, 1, 15, 4)
            GridRangeStyle52.StyleInfo.Borders.Top = New Syncfusion.Windows.Forms.Grid.GridBorder(Syncfusion.Windows.Forms.Grid.GridBorderStyle.Standard, System.Drawing.SystemColors.WindowFrame)
            GridRangeStyle53.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Cell(16, 0)
            GridRangeStyle53.StyleInfo.Text = "16"
            GridRangeStyle54.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Cell(16, 1)
            GridRangeStyle54.StyleInfo.Borders.Top = New Syncfusion.Windows.Forms.Grid.GridBorder(Syncfusion.Windows.Forms.Grid.GridBorderStyle.Standard, System.Drawing.SystemColors.WindowFrame)
            GridRangeStyle54.StyleInfo.Font.Underline = True
            GridRangeStyle54.StyleInfo.HorizontalAlignment = Syncfusion.Windows.Forms.Grid.GridHorizontalAlignment.Right
            GridRangeStyle54.StyleInfo.Text = "Personal Loan Details"
            GridRangeStyle55.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Cells(16, 2, 16, 4)
            GridRangeStyle55.StyleInfo.Borders.Top = New Syncfusion.Windows.Forms.Grid.GridBorder(Syncfusion.Windows.Forms.Grid.GridBorderStyle.Standard, System.Drawing.SystemColors.WindowFrame)
            GridRangeStyle56.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Cell(17, 0)
            GridRangeStyle56.StyleInfo.Text = "17"
            GridRangeStyle57.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Cell(17, 1)
            GridRangeStyle57.StyleInfo.Borders.Top = New Syncfusion.Windows.Forms.Grid.GridBorder(Syncfusion.Windows.Forms.Grid.GridBorderStyle.Standard, System.Drawing.SystemColors.WindowFrame)
            GridRangeStyle57.StyleInfo.Text = "Loan No:"
            GridRangeStyle58.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Cells(17, 2, 19, 2)
            GridRangeStyle58.StyleInfo.Borders.Top = New Syncfusion.Windows.Forms.Grid.GridBorder(Syncfusion.Windows.Forms.Grid.GridBorderStyle.Standard, System.Drawing.SystemColors.WindowFrame)
            GridRangeStyle58.StyleInfo.Text = ""
            GridRangeStyle59.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Cell(18, 0)
            GridRangeStyle59.StyleInfo.Text = "18"
            GridRangeStyle60.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Cell(18, 1)
            GridRangeStyle60.StyleInfo.Borders.Top = New Syncfusion.Windows.Forms.Grid.GridBorder(Syncfusion.Windows.Forms.Grid.GridBorderStyle.Standard, System.Drawing.SystemColors.WindowFrame)
            GridRangeStyle60.StyleInfo.Text = "Loan Amount:"
            GridRangeStyle61.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Cell(19, 0)
            GridRangeStyle61.StyleInfo.Text = "19"
            GridRangeStyle62.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Cell(19, 1)
            GridRangeStyle62.StyleInfo.Borders.Top = New Syncfusion.Windows.Forms.Grid.GridBorder(Syncfusion.Windows.Forms.Grid.GridBorderStyle.Standard, System.Drawing.SystemColors.WindowFrame)
            GridRangeStyle62.StyleInfo.Text = "Monthly Due:"
            GridRangeStyle63.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Cell(20, 0)
            GridRangeStyle63.StyleInfo.Text = "20"
            GridRangeStyle64.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Cells(20, 1, 20, 4)
            GridRangeStyle64.StyleInfo.Borders.Top = New Syncfusion.Windows.Forms.Grid.GridBorder(Syncfusion.Windows.Forms.Grid.GridBorderStyle.Standard, System.Drawing.SystemColors.WindowFrame)
            Me.gridDisplay.RangeStyles.AddRange(New Syncfusion.Windows.Forms.Grid.GridRangeStyle() {GridRangeStyle1, GridRangeStyle2, GridRangeStyle3, GridRangeStyle4, GridRangeStyle5, GridRangeStyle6, GridRangeStyle7, GridRangeStyle8, GridRangeStyle9, GridRangeStyle10, GridRangeStyle11, GridRangeStyle12, GridRangeStyle13, GridRangeStyle14, GridRangeStyle15, GridRangeStyle16, GridRangeStyle17, GridRangeStyle18, GridRangeStyle19, GridRangeStyle20, GridRangeStyle21, GridRangeStyle22, GridRangeStyle23, GridRangeStyle24, GridRangeStyle25, GridRangeStyle26, GridRangeStyle27, GridRangeStyle28, GridRangeStyle29, GridRangeStyle30, GridRangeStyle31, GridRangeStyle32, GridRangeStyle33, GridRangeStyle34, GridRangeStyle35, GridRangeStyle36, GridRangeStyle37, GridRangeStyle38, GridRangeStyle39, GridRangeStyle40, GridRangeStyle41, GridRangeStyle42, GridRangeStyle43, GridRangeStyle44, GridRangeStyle45, GridRangeStyle46, GridRangeStyle47, GridRangeStyle48, GridRangeStyle49, GridRangeStyle50, GridRangeStyle51, GridRangeStyle52, GridRangeStyle53, GridRangeStyle54, GridRangeStyle55, GridRangeStyle56, GridRangeStyle57, GridRangeStyle58, GridRangeStyle59, GridRangeStyle60, GridRangeStyle61, GridRangeStyle62, GridRangeStyle63, GridRangeStyle64})
            Me.gridDisplay.RightToLeft = System.Windows.Forms.RightToLeft.No
            Me.gridDisplay.RowCount = 20
            Me.gridDisplay.RowHeightEntries.AddRange(New Syncfusion.Windows.Forms.Grid.GridRowHeight() {New Syncfusion.Windows.Forms.Grid.GridRowHeight(0, 21)})
            Me.gridDisplay.SerializeCellsBehavior = Syncfusion.Windows.Forms.Grid.GridSerializeCellsBehavior.SerializeAsRangeStylesIntoCode
            Me.gridDisplay.Size = New System.Drawing.Size(709, 365)
            Me.gridDisplay.SmartSizeBox = False
            Me.gridDisplay.ThemesEnabled = True
            '
            'tabBarPage2
            '
            Me.tabBarPage2.Controls.Add(Me.gridCalculations)
            Me.tabBarPage2.Location = New System.Drawing.Point(0, 0)
            Me.tabBarPage2.Name = "tabBarPage2"
            Me.tabBarPage2.SplitBars = CType((Syncfusion.Windows.Forms.DynamicSplitBars.SplitRows Or Syncfusion.Windows.Forms.DynamicSplitBars.SplitColumns), Syncfusion.Windows.Forms.DynamicSplitBars)
            Me.tabBarPage2.TabBackColor = System.Drawing.SystemColors.Control
            Me.tabBarPage2.Text = "Calculations"
            Me.tabBarPage2.ThemesEnabled = True
            '
            'gridCalculations
            '
            Me.gridCalculations.AllowSelection = CType(((((Syncfusion.Windows.Forms.Grid.GridSelectionFlags.Table Or Syncfusion.Windows.Forms.Grid.GridSelectionFlags.Cell) _
                        Or Syncfusion.Windows.Forms.Grid.GridSelectionFlags.Shift) _
                        Or Syncfusion.Windows.Forms.Grid.GridSelectionFlags.Keyboard) _
                        Or Syncfusion.Windows.Forms.Grid.GridSelectionFlags.AlphaBlend), Syncfusion.Windows.Forms.Grid.GridSelectionFlags)
            Me.gridCalculations.BackColor = System.Drawing.Color.White
            Me.gridCalculations.ColWidthEntries.AddRange(New Syncfusion.Windows.Forms.Grid.GridColWidth() {New Syncfusion.Windows.Forms.Grid.GridColWidth(0, 35), New Syncfusion.Windows.Forms.Grid.GridColWidth(2, 139), New Syncfusion.Windows.Forms.Grid.GridColWidth(3, 79), New Syncfusion.Windows.Forms.Grid.GridColWidth(4, 70)})
            Me.gridCalculations.DefaultGridBorderStyle = Syncfusion.Windows.Forms.Grid.GridBorderStyle.Solid
            Me.gridCalculations.FillSplitterPane = True
            Me.gridCalculations.Font = New System.Drawing.Font("Verdana", 8.25!)
            Me.gridCalculations.ForeColor = System.Drawing.Color.MidnightBlue
            GridCellInfo1.Col = -1
            GridCellInfo1.Row = -1
            GridCellInfo1.StyleInfo.Font.Bold = False
            GridCellInfo1.StyleInfo.Font.Facename = "Verdana"
            GridCellInfo1.StyleInfo.Font.Italic = False
            GridCellInfo1.StyleInfo.Font.Size = 8.25!
            GridCellInfo1.StyleInfo.Font.Strikeout = False
            GridCellInfo1.StyleInfo.Font.Underline = False
            GridCellInfo1.StyleInfo.Font.Unit = System.Drawing.GraphicsUnit.Point
            GridCellInfo2.Col = 1
            GridCellInfo2.Row = 3
            GridCellInfo3.Col = 2
            GridCellInfo3.Row = 3
            GridCellInfo3.StyleInfo.Font.Bold = True
            GridCellInfo3.StyleInfo.Text = "LIC Policy Details"
            GridCellInfo4.Col = 3
            GridCellInfo4.Row = 3
            GridCellInfo5.Col = 4
            GridCellInfo5.Row = 3
            GridCellInfo6.Col = 5
            GridCellInfo6.Row = 3
            GridCellInfo7.Col = 0
            GridCellInfo7.Row = 4
            GridCellInfo7.StyleInfo.Text = "4"
            GridCellInfo8.Col = 1
            GridCellInfo8.Row = 4
            GridCellInfo9.Col = 2
            GridCellInfo9.Row = 4
            GridCellInfo9.StyleInfo.HorizontalAlignment = Syncfusion.Windows.Forms.Grid.GridHorizontalAlignment.Center
            GridCellInfo9.StyleInfo.Text = "Policy No"
            GridCellInfo10.Col = 3
            GridCellInfo10.Row = 4
            GridCellInfo10.StyleInfo.HorizontalAlignment = Syncfusion.Windows.Forms.Grid.GridHorizontalAlignment.Center
            GridCellInfo10.StyleInfo.Text = "Policy Type"
            GridCellInfo11.Col = 4
            GridCellInfo11.Row = 4
            GridCellInfo11.StyleInfo.HorizontalAlignment = Syncfusion.Windows.Forms.Grid.GridHorizontalAlignment.Center
            GridCellInfo11.StyleInfo.Text = "Premium"
            GridCellInfo12.Col = 5
            GridCellInfo12.Row = 4
            GridCellInfo12.StyleInfo.Text = "Deductions"
            GridCellInfo13.Col = 0
            GridCellInfo13.Row = 5
            GridCellInfo13.StyleInfo.Text = "5"
            GridCellInfo14.Col = 1
            GridCellInfo14.Row = 5
            GridCellInfo15.Col = 2
            GridCellInfo15.Row = 5
            GridCellInfo15.StyleInfo.HorizontalAlignment = Syncfusion.Windows.Forms.Grid.GridHorizontalAlignment.Center
            GridCellInfo16.Col = 3
            GridCellInfo16.Row = 5
            GridCellInfo16.StyleInfo.HorizontalAlignment = Syncfusion.Windows.Forms.Grid.GridHorizontalAlignment.Center
            GridCellInfo17.Col = 4
            GridCellInfo17.Row = 5
            GridCellInfo17.StyleInfo.HorizontalAlignment = Syncfusion.Windows.Forms.Grid.GridHorizontalAlignment.Center
            GridCellInfo18.Col = 5
            GridCellInfo18.Row = 5
            GridCellInfo18.StyleInfo.HorizontalAlignment = Syncfusion.Windows.Forms.Grid.GridHorizontalAlignment.Center
            GridCellInfo19.Col = 0
            GridCellInfo19.Row = 6
            GridCellInfo19.StyleInfo.Text = "6"
            GridCellInfo20.Col = 1
            GridCellInfo20.Row = 6
            GridCellInfo21.Col = 2
            GridCellInfo21.Row = 6
            GridCellInfo22.Col = 3
            GridCellInfo22.Row = 6
            GridCellInfo23.Col = 4
            GridCellInfo23.Row = 6
            GridCellInfo24.Col = 5
            GridCellInfo24.Row = 6
            GridCellInfo25.Col = 0
            GridCellInfo25.Row = 7
            GridCellInfo25.StyleInfo.Text = "7"
            GridCellInfo26.Col = 1
            GridCellInfo26.Row = 7
            GridCellInfo27.Col = 2
            GridCellInfo27.Row = 7
            GridCellInfo27.StyleInfo.Font.Bold = True
            GridCellInfo27.StyleInfo.Text = "Personal Loan Details"
            GridCellInfo28.Col = 3
            GridCellInfo28.Row = 7
            GridCellInfo29.Col = 4
            GridCellInfo29.Row = 7
            GridCellInfo30.Col = 5
            GridCellInfo30.Row = 7
            GridCellInfo31.Col = 0
            GridCellInfo31.Row = 8
            GridCellInfo31.StyleInfo.Text = "8"
            GridCellInfo32.Col = 1
            GridCellInfo32.Row = 8
            GridCellInfo33.Col = 2
            GridCellInfo33.Row = 8
            GridCellInfo33.StyleInfo.HorizontalAlignment = Syncfusion.Windows.Forms.Grid.GridHorizontalAlignment.Center
            GridCellInfo33.StyleInfo.Text = "Loan No"
            GridCellInfo34.Col = 3
            GridCellInfo34.Row = 8
            GridCellInfo34.StyleInfo.HorizontalAlignment = Syncfusion.Windows.Forms.Grid.GridHorizontalAlignment.Center
            GridCellInfo34.StyleInfo.Text = "Loan Amount"
            GridCellInfo35.Col = 4
            GridCellInfo35.Row = 8
            GridCellInfo35.StyleInfo.HorizontalAlignment = Syncfusion.Windows.Forms.Grid.GridHorizontalAlignment.Center
            GridCellInfo35.StyleInfo.Text = "Monthly Due"
            GridCellInfo36.Col = 5
            GridCellInfo36.Row = 8
            GridCellInfo36.StyleInfo.Text = "Deductions"
            GridCellInfo37.Col = 0
            GridCellInfo37.Row = 9
            GridCellInfo37.StyleInfo.Text = "9"
            GridCellInfo38.Col = 1
            GridCellInfo38.Row = 9
            GridCellInfo39.Col = 2
            GridCellInfo39.Row = 9
            GridCellInfo39.StyleInfo.HorizontalAlignment = Syncfusion.Windows.Forms.Grid.GridHorizontalAlignment.Center
            GridCellInfo39.StyleInfo.Text = ""
            GridCellInfo40.Col = 3
            GridCellInfo40.Row = 9
            GridCellInfo40.StyleInfo.HorizontalAlignment = Syncfusion.Windows.Forms.Grid.GridHorizontalAlignment.Center
            GridCellInfo41.Col = 4
            GridCellInfo41.Row = 9
            GridCellInfo41.StyleInfo.HorizontalAlignment = Syncfusion.Windows.Forms.Grid.GridHorizontalAlignment.Center
            GridCellInfo42.Col = 5
            GridCellInfo42.Row = 9
            GridCellInfo42.StyleInfo.HorizontalAlignment = Syncfusion.Windows.Forms.Grid.GridHorizontalAlignment.Center
            Me.gridCalculations.GridCells.AddRange(New Syncfusion.Windows.Forms.Grid.GridCellInfo() {GridCellInfo1, GridCellInfo2, GridCellInfo3, GridCellInfo4, GridCellInfo5, GridCellInfo6, GridCellInfo7, GridCellInfo8, GridCellInfo9, GridCellInfo10, GridCellInfo11, GridCellInfo12, GridCellInfo13, GridCellInfo14, GridCellInfo15, GridCellInfo16, GridCellInfo17, GridCellInfo18, GridCellInfo19, GridCellInfo20, GridCellInfo21, GridCellInfo22, GridCellInfo23, GridCellInfo24, GridCellInfo25, GridCellInfo26, GridCellInfo27, GridCellInfo28, GridCellInfo29, GridCellInfo30, GridCellInfo31, GridCellInfo32, GridCellInfo33, GridCellInfo34, GridCellInfo35, GridCellInfo36, GridCellInfo37, GridCellInfo38, GridCellInfo39, GridCellInfo40, GridCellInfo41, GridCellInfo42})
            Me.gridCalculations.GridOfficeScrollBars = Syncfusion.Windows.Forms.OfficeScrollBars.Metro
            Me.gridCalculations.GridVisualStyles = Syncfusion.Windows.Forms.GridVisualStyles.Metro
            Me.gridCalculations.Location = New System.Drawing.Point(0, 0)
            Me.gridCalculations.Name = "gridCalculations"
            Me.gridCalculations.Properties.GridLineColor = System.Drawing.Color.LightGray
            Me.gridCalculations.Properties.MarkColHeader = False
            Me.gridCalculations.Properties.MarkRowHeader = False
            Me.gridCalculations.RightToLeft = System.Windows.Forms.RightToLeft.No
            Me.gridCalculations.RowCount = 20
            Me.gridCalculations.RowHeightEntries.AddRange(New Syncfusion.Windows.Forms.Grid.GridRowHeight() {New Syncfusion.Windows.Forms.Grid.GridRowHeight(0, 21), New Syncfusion.Windows.Forms.Grid.GridRowHeight(1, 18)})
            Me.gridCalculations.SerializeCellsBehavior = Syncfusion.Windows.Forms.Grid.GridSerializeCellsBehavior.SerializeIntoCode
            Me.gridCalculations.Size = New System.Drawing.Size(711, 367)
            Me.gridCalculations.SmartSizeBox = False
            Me.gridCalculations.ThemesEnabled = True
            '
            'gridAwareTextBox1
            '
            Me.gridAwareTextBox1.Anchor = CType(((System.Windows.Forms.AnchorStyles.Top Or System.Windows.Forms.AnchorStyles.Left) _
                        Or System.Windows.Forms.AnchorStyles.Right), System.Windows.Forms.AnchorStyles)
            Me.gridAwareTextBox1.DisabledBackColor = System.Drawing.SystemColors.Window
            Me.gridAwareTextBox1.EnabledBackColor = System.Drawing.SystemColors.Window
            Me.gridAwareTextBox1.Font = New System.Drawing.Font("Segoe UI", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
            Me.gridAwareTextBox1.Location = New System.Drawing.Point(88, 15)
            Me.gridAwareTextBox1.Name = "gridAwareTextBox1"
            Me.gridAwareTextBox1.Size = New System.Drawing.Size(536, 22)
            Me.gridAwareTextBox1.TabIndex = 1
            '
            'showFormula
            '
            Me.showFormula.Anchor = CType((System.Windows.Forms.AnchorStyles.Top Or System.Windows.Forms.AnchorStyles.Right), System.Windows.Forms.AnchorStyles)
            Me.showFormula.DrawFocusRectangle = False
            Me.showFormula.Font = New System.Drawing.Font("Segoe UI", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
            Me.showFormula.Location = New System.Drawing.Point(632, 15)
            Me.showFormula.MetroColor = System.Drawing.Color.FromArgb(CType(CType(27, Byte), Integer), CType(CType(161, Byte), Integer), CType(CType(226, Byte), Integer))
            Me.showFormula.Name = "showFormula"
            Me.showFormula.Size = New System.Drawing.Size(108, 18)
            Me.showFormula.Style = Syncfusion.Windows.Forms.Tools.CheckBoxAdvStyle.Metro
            Me.showFormula.TabIndex = 2
            Me.showFormula.Text = "Show Formula"
            Me.showFormula.ThemesEnabled = False
            '
            'label1
            '
            Me.label1.Font = New System.Drawing.Font("Segoe UI", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
            Me.label1.Location = New System.Drawing.Point(9, 15)
            Me.label1.Name = "label1"
            Me.label1.Size = New System.Drawing.Size(72, 16)
            Me.label1.TabIndex = 3
            Me.label1.Text = "Formula Bar"
            '
            'Form1
            '
            Me.AutoScaleBaseSize = New System.Drawing.Size(5, 13)
            Me.CaptionForeColor = System.Drawing.Color.FromArgb(CType(CType(27, Byte), Integer), CType(CType(161, Byte), Integer), CType(CType(226, Byte), Integer))
            Me.ClientSize = New System.Drawing.Size(752, 440)
            Me.Controls.Add(Me.label1)
            Me.Controls.Add(Me.showFormula)
            Me.Controls.Add(Me.gridAwareTextBox1)
            Me.Controls.Add(Me.tabBarSplitterControl1)
            Me.DropShadow = True
            Me.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle
            Me.MaximizeBox = False
            Me.MetroColor = System.Drawing.Color.FromArgb(CType(CType(27, Byte), Integer), CType(CType(161, Byte), Integer), CType(CType(226, Byte), Integer))
            Me.MinimizeBox = False
            Me.Name = "Form1"
            Me.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen
			Me.BorderColor = System.Drawing.Color.FromArgb((CInt(Fix((CByte(27))))), (CInt(Fix((CByte(161))))), (CInt(Fix((CByte(226))))))
			Me.BorderThickness = 2
            Me.Text = "Cross-Reference Demo"
            Me.tabBarSplitterControl1.ResumeLayout(False)
            Me.tabBarPage1.ResumeLayout(False)
            CType(Me.gridDisplay, System.ComponentModel.ISupportInitialize).EndInit()
            Me.tabBarPage2.ResumeLayout(False)
            CType(Me.gridCalculations, System.ComponentModel.ISupportInitialize).EndInit()
            CType(Me.showFormula, System.ComponentModel.ISupportInitialize).EndInit()
            Me.ResumeLayout(False)
            Me.PerformLayout()

        End Sub
		#End Region

		''' <summary>
		''' The main entry point for the application.
		''' </summary>
		<STAThread> _
		Shared Sub Main()
			Application.Run(New Form1())
		End Sub


        Private engine As GridFormulaEngine
#Region "Event Handler"

        Private Sub Form1_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles MyBase.Load
            'Registering grid as sheet for cross-reference
            Dim sheetFamilyID As Integer = GridFormulaEngine.CreateSheetFamilyID()
            GridFormulaEngine.RegisterGridAsSheet("Display", Me.gridDisplay.Model, sheetFamilyID)
            GridFormulaEngine.RegisterGridAsSheet("Calculate", Me.gridCalculations.Model, sheetFamilyID)
            SetUpDisplaySheet()
            SetUpCalcSheet()

            'setup copying formulas
            engine = (CType(Me.gridCalculations.CellModels("FormulaCell"), GridFormulaCellModel)).Engine
            engine.FormulaCopyFlags = engine.FormulaCopyFlags Or GridFormulaCopyFlags.ClipBoardFormula

            'Subscribe to the necessary events
            AddHandler gridDisplay.CurrentCellStartEditing, AddressOf gridDisplay_CurrentCellStartEditing
            AddHandler gridDisplay.CellDoubleClick, AddressOf gridDisplay_CellDoubleClick
            AddHandler gridCalculations.CurrentCellStartEditing, AddressOf gridCalculations_CurrentCellStartEditing
            AddHandler gridCalculations.CellDoubleClick, AddressOf gridCalculations_CellDoubleClick
            AddHandler gridDisplay.DrawCellDisplayText, AddressOf gridDisplay_DrawCellDisplayText
            AddHandler gridCalculations.DrawCellDisplayText, AddressOf gridCalculations_DrawCellDisplayText
        End Sub

        Private Sub gridCalculations_CellDoubleClick(ByVal sender As Object, ByVal e As GridCellClickEventArgs)
            editingLocked = False
            Me.gridCalculations.CurrentCell.BeginEdit(True)
            editingLocked = True
        End Sub

        Private Sub gridDisplay_CellDoubleClick(ByVal sender As Object, ByVal e As GridCellClickEventArgs)
            editingLocked = False
            Me.gridDisplay.CurrentCell.BeginEdit(True)
            editingLocked = True
        End Sub

        Private Sub gridCalculations_CurrentCellStartEditing(ByVal sender As Object, ByVal e As CancelEventArgs)
            e.Cancel = editingLocked
        End Sub

        Private Sub gridDisplay_CurrentCellStartEditing(ByVal sender As Object, ByVal e As CancelEventArgs)
            e.Cancel = editingLocked
        End Sub
        Private Sub tabBarSplitterControl1_PaneCreated(ByVal sender As Object, ByVal e As Syncfusion.Windows.Forms.SplitterPaneEventArgs)
            Dim grid As GridControl = CType(IIf(TypeOf e.Control Is GridControl, e.Control, Nothing), GridControl)
            Me.gridAwareTextBox1.WireGrid(grid)
        End Sub

        Private Sub tabBarSplitterControl1_PaneClosing(ByVal sender As Object, ByVal e As Syncfusion.Windows.Forms.SplitterPaneEventArgs)
            Dim grid As GridControl = CType(IIf(TypeOf e.Control Is GridControl, e.Control, Nothing), GridControl)
            Me.gridAwareTextBox1.UnwireGrid(grid)
        End Sub

        Private editingLocked As Boolean = True
        Private flag As Boolean = False

        Private Sub gridDisplay_DrawCellDisplayText(ByVal sender As Object, ByVal e As GridDrawCellDisplayTextEventArgs)
            If e.Style.CellType = "FormulaCell" AndAlso flag Then
                e.DisplayText = e.Style.Text
            End If
        End Sub
        Private Sub gridCalculations_DrawCellDisplayText(ByVal sender As Object, ByVal e As GridDrawCellDisplayTextEventArgs)
            If e.Style.CellType = "FormulaCell" AndAlso flag Then
                e.DisplayText = e.Style.Text
            End If
        End Sub
        Private Sub showFormula_CheckedChanged(ByVal sender As System.Object, ByVal e As Syncfusion.Windows.Forms.Tools.CheckedChangedEventArgs) Handles showFormula.CheckedChanged
            If showFormula.Checked Then
                'Display the formulas in Formula Cells
                flag = True
                Me.gridDisplay.RefreshRange(GridRangeInfo.Cells(6, 4, 10, 4))
                Me.gridCalculations.RefreshRange(GridRangeInfo.Row(5))
                Me.gridCalculations.RefreshRange(GridRangeInfo.Row(9))
            Else
                'Show the computed results in Formula Cells
                flag = False
                Me.gridDisplay.RefreshRange(GridRangeInfo.Cells(6, 4, 10, 4))
                Me.gridCalculations.RefreshRange(GridRangeInfo.Row(5))
                Me.gridCalculations.RefreshRange(GridRangeInfo.Row(9))
            End If
        End Sub
#End Region

#Region "DisplaySheet"

        Private Sub SetUpDisplaySheet()

            'General Settings
            Dim row As Integer = 6
            Dim col As Integer = 4

            Me.gridDisplay(row, col).CellType = GridCellTypeName.FormulaCell
            Me.gridDisplay(row, col).Text = "=B9*0.81"
            row = row + 1
            Me.gridDisplay(row, col).CellType = GridCellTypeName.FormulaCell
            Me.gridDisplay(row, col).Text = "=B9+D6"
            row = row + 1
            Me.gridDisplay(row, col).CellType = GridCellTypeName.FormulaCell
            Me.gridDisplay(row, col).Text = "=D7*0.10"
            row = row + 1
            Me.gridDisplay(row, col).CellType = GridCellTypeName.FormulaCell
            Me.gridDisplay(row, col).Text = "=D7-D8"
            row = row + 1
            Me.gridDisplay(row, col).CellType = GridCellTypeName.FormulaCell
            Me.gridDisplay(row, col).Text = "=D9*12"

            row = 6
            col = 2
            'General Details
            Me.gridDisplay(row, col).Text = "Vedha"
            row = row + 1
            Me.gridDisplay(row, col).Text = "B.E."
            row = row + 1
            Me.gridDisplay(row, col).Text = "4 years"
            row = row + 1
            Me.gridDisplay(row, col).Text = "8,000.00"

            row += 3
            'Policy Details
            Me.gridDisplay(row, col).Text = "1234"
            row = row + 1
            Me.gridDisplay(row, col).Text = "Quarterly"
            row = row + 1
            Me.gridDisplay(row, col).Text = "2,000.00"

            row += 3
            'Loan Details
            Me.gridDisplay(row, col).Text = "5678"
            row = row + 1
            Me.gridDisplay(row, col).Text = "1,00,000.00"
            row = row + 1
            Me.gridDisplay(row, col).Text = "1,500.00"


            Me.gridAwareTextBox1.WireGrid(Me.gridDisplay)


        End Sub


#End Region

#Region "CalculationSheet"

        Private Sub SetUpCalcSheet()
            Dim row As Integer = 5
            Dim col As Integer = 2

            Me.gridCalculations(row, col).CellType = GridCellTypeName.FormulaCell
            Me.gridCalculations(row, col).Text = "=Display!B12"

            Me.gridCalculations(row, col + 1).CellType = GridCellTypeName.FormulaCell
            Me.gridCalculations(row, col + 1).Text = "=Display!B13"

            Me.gridCalculations(row, col + 2).CellType = GridCellTypeName.FormulaCell
            Me.gridCalculations(row, col + 2).Text = "=Display!B14"

            Me.gridCalculations(row, col + 3).CellType = GridCellTypeName.FormulaCell
            Me.gridCalculations(row, col + 3).Text = "=D5*4"

            row += 4
            Me.gridCalculations(row, col).CellType = GridCellTypeName.FormulaCell
            Me.gridCalculations(row, col).Text = "=Display!B17"

            Me.gridCalculations(row, col + 1).CellType = GridCellTypeName.FormulaCell
            Me.gridCalculations(row, col + 1).Text = "=Display!B18"

            Me.gridCalculations(row, col + 2).CellType = GridCellTypeName.FormulaCell
            Me.gridCalculations(row, col + 2).Text = "=Display!B19"

            Me.gridCalculations(row, col + 3).CellType = GridCellTypeName.FormulaCell
            Me.gridCalculations(row, col + 3).Text = "=D9*12"

            Me.gridCalculations.TableStyle.Format = "#,##0"

            Me.gridAwareTextBox1.WireGrid(Me.gridCalculations)
        End Sub


#End Region
    End Class

End Namespace
