Imports Microsoft.VisualBasic
Imports System
Imports System.Drawing
Imports System.Collections
Imports System.ComponentModel
Imports System.Windows.Forms
Imports System.Data
Imports Syncfusion.Windows.Forms.Grid
Imports Syncfusion.Windows.Forms

Namespace ResizeToFit
	''' <summary>
	''' Summary description for Form1.
	''' </summary>
	Public Class Form1
		Inherits Syncfusion.Windows.Forms.MetroForm
		Private gridControl1 As Syncfusion.Windows.Forms.Grid.GridControl
		Private groupBox3 As GroupBox
		Private WithEvents radioButtonAdv3 As Syncfusion.Windows.Forms.Tools.RadioButtonAdv
		Private WithEvents radioButtonAdv4 As Syncfusion.Windows.Forms.Tools.RadioButtonAdv
		Private groupBox2 As GroupBox
		Private WithEvents radioButtonAdv11 As Syncfusion.Windows.Forms.Tools.RadioButtonAdv
		Private WithEvents radioButtonAdv12 As Syncfusion.Windows.Forms.Tools.RadioButtonAdv
		Private groupBox1 As GroupBox
		Private WithEvents radioButtonAdv2 As Syncfusion.Windows.Forms.Tools.RadioButtonAdv
		Private WithEvents radioButtonAdv1 As Syncfusion.Windows.Forms.Tools.RadioButtonAdv
		''' <summary>
		''' Required designer variable.
		''' </summary>
		Private components As System.ComponentModel.Container = Nothing

		Public Sub New()
			'
			' Required for Windows Form Designer support
			'
			InitializeComponent()
			Try
				Dim ico As New System.Drawing.Icon(GetIconFile("common\Images\Grid\Icon\sfgrid.ico"))
				Me.Icon = ico
			Catch
			End Try

		End Sub

		#Region "Method"
		Private Function GetIconFile(ByVal bitmapName As String) As String
			For n As Integer = 0 To 9
				If System.IO.File.Exists(bitmapName) Then
					Return bitmapName
				End If

				bitmapName = "..\" & bitmapName
			Next n

			Return bitmapName
		End Function

		''' <summary>
		''' Clean up any resources being used.
		''' </summary>
		Protected Overrides Overloads Sub Dispose(ByVal disposing As Boolean)
			If disposing Then
				If components IsNot Nothing Then
					components.Dispose()
				End If
			End If
			MyBase.Dispose(disposing)
		End Sub

		Private Function GetTable() As DataTable
			Dim dt As New DataTable("MyTable")

			Dim nCols As Integer = 12
			Dim nRows As Integer = 30

			For i As Integer = 0 To nCols - 1
				dt.Columns.Add(New DataColumn(String.Format("Col{0}", i)))
			Next i

			For i As Integer = 0 To nRows - 1
				Dim dr As DataRow = dt.NewRow()
				For j As Integer = 0 To nCols - 1
					dr(j) = String.Format("row{0} col{1}", i, j)
				Next j
				dt.Rows.Add(dr)
			Next i
			Return dt
		End Function
		#End Region

		#Region "Windows Form Designer generated code"
		''' <summary>
		''' Required method for Designer support - do not modify
		''' the contents of this method with the code editor.
		''' </summary>
		Private Sub InitializeComponent()
			Dim gridBaseStyle1 As New Syncfusion.Windows.Forms.Grid.GridBaseStyle()
			Dim gridBaseStyle2 As New Syncfusion.Windows.Forms.Grid.GridBaseStyle()
			Dim gridBaseStyle3 As New Syncfusion.Windows.Forms.Grid.GridBaseStyle()
			Dim gridBaseStyle4 As New Syncfusion.Windows.Forms.Grid.GridBaseStyle()
			Dim gridRangeStyle1 As New Syncfusion.Windows.Forms.Grid.GridRangeStyle()
			Dim gridRangeStyle2 As New Syncfusion.Windows.Forms.Grid.GridRangeStyle()
			Me.gridControl1 = New Syncfusion.Windows.Forms.Grid.GridControl()
			Me.groupBox3 = New System.Windows.Forms.GroupBox()
			Me.radioButtonAdv3 = New Syncfusion.Windows.Forms.Tools.RadioButtonAdv()
			Me.radioButtonAdv4 = New Syncfusion.Windows.Forms.Tools.RadioButtonAdv()
			Me.groupBox2 = New System.Windows.Forms.GroupBox()
			Me.radioButtonAdv11 = New Syncfusion.Windows.Forms.Tools.RadioButtonAdv()
			Me.radioButtonAdv12 = New Syncfusion.Windows.Forms.Tools.RadioButtonAdv()
			Me.groupBox1 = New System.Windows.Forms.GroupBox()
			Me.radioButtonAdv2 = New Syncfusion.Windows.Forms.Tools.RadioButtonAdv()
			Me.radioButtonAdv1 = New Syncfusion.Windows.Forms.Tools.RadioButtonAdv()
			CType(Me.gridControl1, System.ComponentModel.ISupportInitialize).BeginInit()
			Me.groupBox3.SuspendLayout()
			CType(Me.radioButtonAdv3, System.ComponentModel.ISupportInitialize).BeginInit()
			CType(Me.radioButtonAdv4, System.ComponentModel.ISupportInitialize).BeginInit()
			Me.groupBox2.SuspendLayout()
			CType(Me.radioButtonAdv11, System.ComponentModel.ISupportInitialize).BeginInit()
			CType(Me.radioButtonAdv12, System.ComponentModel.ISupportInitialize).BeginInit()
			Me.groupBox1.SuspendLayout()
			CType(Me.radioButtonAdv2, System.ComponentModel.ISupportInitialize).BeginInit()
			CType(Me.radioButtonAdv1, System.ComponentModel.ISupportInitialize).BeginInit()
			Me.SuspendLayout()
			' 
			' gridControl1
			' 
			Me.gridControl1.Anchor = System.Windows.Forms.AnchorStyles.Left
            Me.gridControl1.ColCount = 12
			Me.gridControl1.ColWidthEntries.AddRange(New Syncfusion.Windows.Forms.Grid.GridColWidth() { New Syncfusion.Windows.Forms.Grid.GridColWidth(0, 35)})
			Me.gridControl1.DefaultRowHeight = 20
			Me.gridControl1.Font = New System.Drawing.Font("Segoe UI", 8.5F)
			Me.gridControl1.GridOfficeScrollBars = Syncfusion.Windows.Forms.OfficeScrollBars.Metro
			Me.gridControl1.GridVisualStyles = Syncfusion.Windows.Forms.GridVisualStyles.Metro
			Me.gridControl1.Location = New System.Drawing.Point(12, 7)
			Me.gridControl1.MetroScrollBars = True
			Me.gridControl1.Name = "gridControl1"
			Me.gridControl1.Properties.BackgroundColor = System.Drawing.Color.FromArgb((CInt(Fix((CByte(227))))), (CInt(Fix((CByte(239))))), (CInt(Fix((CByte(255))))))
			Me.gridControl1.Properties.GridLineColor = System.Drawing.Color.FromArgb((CInt(Fix((CByte(208))))), (CInt(Fix((CByte(215))))), (CInt(Fix((CByte(229))))))
			Me.gridControl1.Properties.MarkColHeader = False
			Me.gridControl1.Properties.MarkRowHeader = False
			gridRangeStyle1.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Table()
			gridRangeStyle1.StyleInfo.Borders.Bottom = New Syncfusion.Windows.Forms.Grid.GridBorder(Syncfusion.Windows.Forms.Grid.GridBorderStyle.Solid, System.Drawing.Color.FromArgb((CInt(Fix((CByte(234))))), (CInt(Fix((CByte(234))))), (CInt(Fix((CByte(234)))))), Syncfusion.Windows.Forms.Grid.GridBorderWeight.ExtraThin)
			gridRangeStyle1.StyleInfo.Borders.Right = New Syncfusion.Windows.Forms.Grid.GridBorder(Syncfusion.Windows.Forms.Grid.GridBorderStyle.Solid, System.Drawing.Color.FromArgb((CInt(Fix((CByte(234))))), (CInt(Fix((CByte(234))))), (CInt(Fix((CByte(234)))))), Syncfusion.Windows.Forms.Grid.GridBorderWeight.ExtraThin)
			gridRangeStyle1.StyleInfo.Font.Bold = False
			gridRangeStyle1.StyleInfo.Font.Facename = "Segoe UI"
			gridRangeStyle1.StyleInfo.Font.Italic = False
			gridRangeStyle1.StyleInfo.Font.Size = 8.5F
			gridRangeStyle1.StyleInfo.Font.Strikeout = False
			gridRangeStyle1.StyleInfo.Font.Underline = False
			gridRangeStyle1.StyleInfo.Font.Unit = System.Drawing.GraphicsUnit.Point
			gridRangeStyle1.StyleInfo.Interior = New Syncfusion.Drawing.BrushInfo(System.Drawing.Color.White)
			gridRangeStyle1.StyleInfo.TextColor = System.Drawing.Color.FromArgb((CInt(Fix((CByte(138))))), (CInt(Fix((CByte(138))))), (CInt(Fix((CByte(138))))))
			gridRangeStyle2.Range = Syncfusion.Windows.Forms.Grid.GridRangeInfo.Table()
			gridRangeStyle2.StyleInfo.Borders.Bottom = New Syncfusion.Windows.Forms.Grid.GridBorder(Syncfusion.Windows.Forms.Grid.GridBorderStyle.Solid, System.Drawing.Color.FromArgb((CInt(Fix((CByte(234))))), (CInt(Fix((CByte(234))))), (CInt(Fix((CByte(234)))))), Syncfusion.Windows.Forms.Grid.GridBorderWeight.ExtraThin)
			gridRangeStyle2.StyleInfo.Borders.Right = New Syncfusion.Windows.Forms.Grid.GridBorder(Syncfusion.Windows.Forms.Grid.GridBorderStyle.Solid, System.Drawing.Color.FromArgb((CInt(Fix((CByte(234))))), (CInt(Fix((CByte(234))))), (CInt(Fix((CByte(234)))))), Syncfusion.Windows.Forms.Grid.GridBorderWeight.ExtraThin)
			gridRangeStyle2.StyleInfo.Font.Bold = False
			gridRangeStyle2.StyleInfo.Font.Facename = "Segoe UI"
			gridRangeStyle2.StyleInfo.Font.Italic = False
			gridRangeStyle2.StyleInfo.Font.Size = 8.5F
			gridRangeStyle2.StyleInfo.Font.Strikeout = False
			gridRangeStyle2.StyleInfo.Font.Underline = False
			gridRangeStyle2.StyleInfo.Font.Unit = System.Drawing.GraphicsUnit.Point
			gridRangeStyle2.StyleInfo.Interior = New Syncfusion.Drawing.BrushInfo(System.Drawing.Color.White)
			gridRangeStyle2.StyleInfo.TextColor = System.Drawing.Color.FromArgb((CInt(Fix((CByte(138))))), (CInt(Fix((CByte(138))))), (CInt(Fix((CByte(138))))))
			Me.gridControl1.RangeStyles.AddRange(New Syncfusion.Windows.Forms.Grid.GridRangeStyle() { gridRangeStyle1, gridRangeStyle2})
			Me.gridControl1.RightToLeft = System.Windows.Forms.RightToLeft.No
			Me.gridControl1.RowCount = 30
			Me.gridControl1.RowHeightEntries.AddRange(New Syncfusion.Windows.Forms.Grid.GridRowHeight() { New Syncfusion.Windows.Forms.Grid.GridRowHeight(0, 21)})
            Me.gridControl1.SerializeCellsBehavior = Syncfusion.Windows.Forms.Grid.GridSerializeCellsBehavior.SerializeAsRangeStylesIntoCode
            Me.gridControl1.ThemesEnabled = True
			Me.gridControl1.Size = New System.Drawing.Size(586, 386)
			Me.gridControl1.SmartSizeBox = False
			Me.gridControl1.TabIndex = 0
			Me.gridControl1.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle
			' 
			' groupBox3
			' 
			Me.groupBox3.Controls.Add(Me.radioButtonAdv3)
			Me.groupBox3.Controls.Add(Me.radioButtonAdv4)
			Me.groupBox3.Font = New System.Drawing.Font("Segoe UI", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, (CByte(0)))
			Me.groupBox3.Location = New System.Drawing.Point(621, 178)
			Me.groupBox3.Name = "groupBox3"
			Me.groupBox3.Size = New System.Drawing.Size(159, 78)
			Me.groupBox3.TabIndex = 13
			Me.groupBox3.TabStop = False
			Me.groupBox3.Text = "ReSizeToFitOptimized"
			' 
			' radioButtonAdv3
			' 
			Me.radioButtonAdv3.DrawFocusRectangle = False
			Me.radioButtonAdv3.Font = New System.Drawing.Font("Segoe UI", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, (CByte(0)))
			Me.radioButtonAdv3.Location = New System.Drawing.Point(16, 48)
			Me.radioButtonAdv3.MetroColor = System.Drawing.Color.FromArgb((CInt(Fix((CByte(27))))), (CInt(Fix((CByte(161))))), (CInt(Fix((CByte(226))))))
			Me.radioButtonAdv3.Name = "radioButtonAdv3"
			Me.radioButtonAdv3.Size = New System.Drawing.Size(121, 21)
			Me.radioButtonAdv3.Style = Syncfusion.Windows.Forms.Tools.RadioButtonAdvStyle.Metro
			Me.radioButtonAdv3.TabIndex = 3
			Me.radioButtonAdv3.Text = "RowHeight"
			Me.radioButtonAdv3.ThemesEnabled = False
'			Me.radioButtonAdv3.CheckChanged += New System.EventHandler(Me.radioButtonAdv3_CheckChanged)
			' 
			' radioButtonAdv4
			' 
			Me.radioButtonAdv4.DrawFocusRectangle = False
			Me.radioButtonAdv4.Font = New System.Drawing.Font("Segoe UI", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, (CByte(0)))
			Me.radioButtonAdv4.Location = New System.Drawing.Point(16, 21)
			Me.radioButtonAdv4.MetroColor = System.Drawing.Color.FromArgb((CInt(Fix((CByte(27))))), (CInt(Fix((CByte(161))))), (CInt(Fix((CByte(226))))))
			Me.radioButtonAdv4.Name = "radioButtonAdv4"
			Me.radioButtonAdv4.Size = New System.Drawing.Size(121, 21)
			Me.radioButtonAdv4.Style = Syncfusion.Windows.Forms.Tools.RadioButtonAdvStyle.Metro
			Me.radioButtonAdv4.TabIndex = 2
			Me.radioButtonAdv4.Text = "ColWidths"
			Me.radioButtonAdv4.ThemesEnabled = False
'			Me.radioButtonAdv4.CheckChanged += New System.EventHandler(Me.radioButtonAdv4_CheckChanged)
			' 
			' groupBox2
			' 
			Me.groupBox2.Controls.Add(Me.radioButtonAdv11)
			Me.groupBox2.Controls.Add(Me.radioButtonAdv12)
			Me.groupBox2.Font = New System.Drawing.Font("Segoe UI", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, (CByte(0)))
			Me.groupBox2.Location = New System.Drawing.Point(621, 91)
			Me.groupBox2.Name = "groupBox2"
			Me.groupBox2.Size = New System.Drawing.Size(159, 77)
			Me.groupBox2.TabIndex = 12
			Me.groupBox2.TabStop = False
			Me.groupBox2.Text = "ReSizeToFit"
			' 
			' radioButtonAdv11
			' 
			Me.radioButtonAdv11.DrawFocusRectangle = False
			Me.radioButtonAdv11.Font = New System.Drawing.Font("Segoe UI", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, (CByte(0)))
			Me.radioButtonAdv11.Location = New System.Drawing.Point(16, 48)
			Me.radioButtonAdv11.MetroColor = System.Drawing.Color.FromArgb((CInt(Fix((CByte(27))))), (CInt(Fix((CByte(161))))), (CInt(Fix((CByte(226))))))
			Me.radioButtonAdv11.Name = "radioButtonAdv11"
			Me.radioButtonAdv11.Size = New System.Drawing.Size(121, 21)
			Me.radioButtonAdv11.Style = Syncfusion.Windows.Forms.Tools.RadioButtonAdvStyle.Metro
			Me.radioButtonAdv11.TabIndex = 3
			Me.radioButtonAdv11.Text = "RowHeight"
			Me.radioButtonAdv11.ThemesEnabled = False
'			Me.radioButtonAdv11.CheckChanged += New System.EventHandler(Me.radioButtonAdv11_CheckChanged)
			' 
			' radioButtonAdv12
			' 
			Me.radioButtonAdv12.DrawFocusRectangle = False
			Me.radioButtonAdv12.Font = New System.Drawing.Font("Segoe UI", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, (CByte(0)))
			Me.radioButtonAdv12.Location = New System.Drawing.Point(16, 21)
			Me.radioButtonAdv12.MetroColor = System.Drawing.Color.FromArgb((CInt(Fix((CByte(27))))), (CInt(Fix((CByte(161))))), (CInt(Fix((CByte(226))))))
			Me.radioButtonAdv12.Name = "radioButtonAdv12"
			Me.radioButtonAdv12.Size = New System.Drawing.Size(121, 21)
			Me.radioButtonAdv12.Style = Syncfusion.Windows.Forms.Tools.RadioButtonAdvStyle.Metro
			Me.radioButtonAdv12.TabIndex = 2
			Me.radioButtonAdv12.Text = "ColWidths"
			Me.radioButtonAdv12.ThemesEnabled = False
'			Me.radioButtonAdv12.CheckChanged += New System.EventHandler(Me.radioButtonAdv12_CheckChanged)
			' 
			' groupBox1
			' 
			Me.groupBox1.Controls.Add(Me.radioButtonAdv2)
			Me.groupBox1.Controls.Add(Me.radioButtonAdv1)
			Me.groupBox1.Font = New System.Drawing.Font("Segoe UI", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, (CByte(0)))
			Me.groupBox1.Location = New System.Drawing.Point(621, 7)
			Me.groupBox1.Name = "groupBox1"
			Me.groupBox1.Size = New System.Drawing.Size(159, 77)
			Me.groupBox1.TabIndex = 11
			Me.groupBox1.TabStop = False
			Me.groupBox1.Text = "Options"
			' 
			' radioButtonAdv2
			' 
			Me.radioButtonAdv2.DrawFocusRectangle = False
			Me.radioButtonAdv2.Font = New System.Drawing.Font("Segoe UI", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, (CByte(0)))
			Me.radioButtonAdv2.Location = New System.Drawing.Point(16, 48)
			Me.radioButtonAdv2.MetroColor = System.Drawing.Color.FromArgb((CInt(Fix((CByte(27))))), (CInt(Fix((CByte(161))))), (CInt(Fix((CByte(226))))))
			Me.radioButtonAdv2.Name = "radioButtonAdv2"
			Me.radioButtonAdv2.Size = New System.Drawing.Size(121, 21)
			Me.radioButtonAdv2.Style = Syncfusion.Windows.Forms.Tools.RadioButtonAdvStyle.Metro
			Me.radioButtonAdv2.TabIndex = 1
			Me.radioButtonAdv2.Text = "Set Column Width"
			Me.radioButtonAdv2.ThemesEnabled = False
'			Me.radioButtonAdv2.CheckChanged += New System.EventHandler(Me.radioButtonAdv2_CheckChanged)
			' 
			' radioButtonAdv1
			' 
			Me.radioButtonAdv1.DrawFocusRectangle = False
			Me.radioButtonAdv1.Font = New System.Drawing.Font("Segoe UI", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, (CByte(0)))
			Me.radioButtonAdv1.Location = New System.Drawing.Point(16, 21)
			Me.radioButtonAdv1.MetroColor = System.Drawing.Color.FromArgb((CInt(Fix((CByte(27))))), (CInt(Fix((CByte(161))))), (CInt(Fix((CByte(226))))))
			Me.radioButtonAdv1.Name = "radioButtonAdv1"
			Me.radioButtonAdv1.Size = New System.Drawing.Size(121, 21)
			Me.radioButtonAdv1.Style = Syncfusion.Windows.Forms.Tools.RadioButtonAdvStyle.Metro
			Me.radioButtonAdv1.TabIndex = 0
			Me.radioButtonAdv1.Text = "Set RowHeight"
			Me.radioButtonAdv1.ThemesEnabled = False
'			Me.radioButtonAdv1.CheckChanged += New System.EventHandler(Me.radioButtonAdv1_CheckChanged)
			' 
			' Form1
			' 
			Me.AutoScaleBaseSize = New System.Drawing.Size(5, 13)
			Me.BackColor = System.Drawing.Color.White
			Me.CaptionForeColor = System.Drawing.Color.FromArgb((CInt(Fix((CByte(27))))), (CInt(Fix((CByte(161))))), (CInt(Fix((CByte(226))))))
			Me.ClientSize = New System.Drawing.Size(792, 408)
			Me.Controls.Add(Me.groupBox3)
			Me.Controls.Add(Me.groupBox2)
			Me.Controls.Add(Me.groupBox1)
			Me.Controls.Add(Me.gridControl1)
			Me.DropShadow = True
			Me.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle
			Me.MaximizeBox = False
			Me.MetroColor = System.Drawing.Color.FromArgb((CInt(Fix((CByte(27))))), (CInt(Fix((CByte(161))))), (CInt(Fix((CByte(226))))))
			Me.MinimizeBox = False
			Me.Name = "Form1"
			Me.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen
			Me.BorderColor = System.Drawing.Color.FromArgb((CInt(Fix((CByte(27))))), (CInt(Fix((CByte(161))))), (CInt(Fix((CByte(226))))))
			Me.BorderThickness = 2
			Me.Text = "Resize To Fit Demo"
'			Me.Load += New System.EventHandler(Me.Form1_Load)
			CType(Me.gridControl1, System.ComponentModel.ISupportInitialize).EndInit()
			Me.groupBox3.ResumeLayout(False)
			CType(Me.radioButtonAdv3, System.ComponentModel.ISupportInitialize).EndInit()
			CType(Me.radioButtonAdv4, System.ComponentModel.ISupportInitialize).EndInit()
			Me.groupBox2.ResumeLayout(False)
			CType(Me.radioButtonAdv11, System.ComponentModel.ISupportInitialize).EndInit()
			CType(Me.radioButtonAdv12, System.ComponentModel.ISupportInitialize).EndInit()
			Me.groupBox1.ResumeLayout(False)
			CType(Me.radioButtonAdv2, System.ComponentModel.ISupportInitialize).EndInit()
			CType(Me.radioButtonAdv1, System.ComponentModel.ISupportInitialize).EndInit()
			Me.ResumeLayout(False)

		End Sub
		#End Region

		''' <summary>
		''' The main entry point for the application.
		''' </summary>
		<STAThread> _
		Shared Sub Main()
			Application.Run(New Form1())
		End Sub

		#Region "EventHandler"
		Private Sub radioButtonAdv1_CheckChanged(ByVal sender As Object, ByVal e As EventArgs) Handles radioButtonAdv1.CheckChanged
			' Set the Rowheight of the 1 st row
			Me.gridControl1.RowHeights(1) = 20

			' Set the Rowheight of the 2 st row
			Me.gridControl1.RowHeights(2) = 50

			' Set the Rowheight of the 3 st row
			Me.gridControl1.RowHeights(3) = 70
		End Sub

		Private Sub radioButtonAdv2_CheckChanged(ByVal sender As Object, ByVal e As EventArgs) Handles radioButtonAdv2.CheckChanged
			'Set the ColWidth of the 1 st column
			Me.gridControl1.ColWidths(1) = 20

			'Set the ColWidth of the 1 st column
			Me.gridControl1.ColWidths(2) = 50

			'Set the ColWidth of the 1 st column
			Me.gridControl1.ColWidths(3) = 70
		End Sub

		Private Sub radioButtonAdv12_CheckChanged(ByVal sender As Object, ByVal e As EventArgs) Handles radioButtonAdv12.CheckChanged
			' ResizeToFit - Resizes a range of rows or column to optimally fit 
			' contents of the specified range of cells.
			Me.gridControl1.ColWidths.ResizeToFit(GridRangeInfo.Cols(1, 5))
		End Sub

		Private Sub radioButtonAdv11_CheckChanged(ByVal sender As Object, ByVal e As EventArgs) Handles radioButtonAdv11.CheckChanged
			Me.gridControl1.RowHeights.ResizeToFit(GridRangeInfo.Rows(1, 5))
		End Sub

		Private Sub Form1_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles MyBase.Load
			Me.gridControl1.PopulateValues(GridRangeInfo.Cells(1, 1, 30, 12), GetTable())
		End Sub

		Private Sub radioButtonAdv4_CheckChanged(ByVal sender As Object, ByVal e As EventArgs) Handles radioButtonAdv4.CheckChanged
			Me.gridControl1.ColWidths.ResizeToFit(GridRangeInfo.Cols(1, 5))
		End Sub

		Private Sub radioButtonAdv3_CheckChanged(ByVal sender As Object, ByVal e As EventArgs) Handles radioButtonAdv3.CheckChanged
			Me.gridControl1.RowHeights.ResizeToFitOptimized(GridRangeInfo.Rows(1, 5))
		End Sub

		#End Region        





	End Class
End Namespace
