#Region "Copyright Syncfusion Inc. 2001 - 2006"
'
'  Copyright Syncfusion Inc. 2001 - 2006. All rights reserved.
'
'  Use of this code is subject to the terms of our license.
'  A copy of the current license can be obtained at any time by e-mailing
'  licensing@syncfusion.com. Any infringement will be prosecuted under
'  applicable laws. 
'
#End Region

Imports System
Imports System.Drawing
Imports System.Collections
Imports System.ComponentModel
Imports System.Windows.Forms
Imports System.Resources
Imports System.IO

Imports Syncfusion.Windows.Forms.Grid


'/ <summary>
'/    Provides the entry point for GridPad.exe.
'/ </summary>

Public Class ApplicationMain
    Friend Shared manifestNamespace As String = "Syncfusion.Samples.GridPad."
    Friend Shared menuNamespace As String = "Syncfusion.Samples.GridPad.Actions."

    Friend Shared IconResources As ResourceManager


    '/ <summary>
    '/ Entry Point method.
    '/ </summary>
    <STAThreadAttribute()> _
              Public Overloads Shared Sub Main(ByVal args() As String)
        Dim i As New ApplicationMain()
        IconResources = New ResourceManager(manifestNamespace + "MainMenuItemResources", i.GetType().Module.Assembly, Nothing)
        Application.Run(New MainWindow())
    End Sub 'Main
End Class 'ApplicationMain